[arch-commits] Commit in openoffice-base-devel/repos (5 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Wed May 13 03:38:42 EDT 2009


    Date: Wednesday, May 13, 2009 @ 03:38:41
  Author: andyrtr
Revision: 39204

Merged revisions 37492,38527,39203 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/openoffice-base-devel/trunk

........
  r37492 | andyrtr | 2009-05-02 11:20:37 +0000 (Sa, 02 Mai 2009) | 1 line
  
  small changes for new builds, it's still broken upstream
........
  r38527 | jgc | 2009-05-08 21:27:16 +0000 (Fr, 08 Mai 2009) | 1 line
  
  Add desktop-file-utils dependency
........
  r39203 | andyrtr | 2009-05-13 07:37:58 +0000 (Mi, 13 Mai 2009) | 2 lines
  
  upgpkg: openoffice-base-devel 3.2_dev300_m48-1
      new version DEV300_m48
........

Added:
  openoffice-base-devel/repos/extra-x86_64/buildfix-native-setup.diff
    (from rev 39203, openoffice-base-devel/trunk/buildfix-native-setup.diff)
Modified:
  openoffice-base-devel/repos/extra-x86_64/	(properties)
  openoffice-base-devel/repos/extra-x86_64/ChangeLog
  openoffice-base-devel/repos/extra-x86_64/PKGBUILD
Deleted:
  openoffice-base-devel/repos/extra-x86_64/DEV300m42-helpcontent2.diff

-----------------------------+
 ChangeLog                   |    4 ++++
 DEV300m42-helpcontent2.diff |   13 -------------
 PKGBUILD                    |   34 ++++++++++++++++------------------
 buildfix-native-setup.diff  |   12 ++++++++++++
 4 files changed, 32 insertions(+), 31 deletions(-)


Property changes on: openoffice-base-devel/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /openoffice-base-devel/trunk:1-28030
   + /openoffice-base-devel/trunk:1-39203

Modified: extra-x86_64/ChangeLog
===================================================================
--- extra-x86_64/ChangeLog	2009-05-13 07:37:58 UTC (rev 39203)
+++ extra-x86_64/ChangeLog	2009-05-13 07:38:41 UTC (rev 39204)
@@ -1,3 +1,7 @@
+openoffice-base-devel - 3.2_dev300_m48-1
+- new snapshot
+- added patch to fix broken epm packaging
+
 openoffice-base-devel - 3.2_dev300_m42-1
 - next snapshot
 

Deleted: extra-x86_64/DEV300m42-helpcontent2.diff
===================================================================
--- extra-x86_64/DEV300m42-helpcontent2.diff	2009-05-13 07:37:58 UTC (rev 39203)
+++ extra-x86_64/DEV300m42-helpcontent2.diff	2009-05-13 07:38:41 UTC (rev 39204)
@@ -1,13 +0,0 @@
-Index: makefile.pmk
-===================================================================
---- helpcontent2/makefile.pmk	(revision 268394)
-+++ helpcontent2/makefile.pmk	(working copy)
-@@ -44,7 +44,7 @@
- 
- $(COMMONMISC)$/$(TARGET).done : $(HLANGXHPFILES)
- .IF "$(WITH_LANG)"!=""
--	@$(WRAPCMD) helpex -QQ -p helpcontent2 -r $(PRJ) -i @$(mktmp $(uniq $(foreach,i,$? $(!eq,$(i:f),$(i:f:s/.xhp//) $(i:f) $(XHPFILES))))) -x $(COMMONMISC) -y $(SHELL_PACKAGE) -l all -lf $(aux_alllangiso:t",") -m localize.sdf && $(TOUCH) $@
-+	@$(AUGMENT_LIBRARY_PATH) $(WRAPCMD) helpex -QQ -p helpcontent2 -r $(PRJ) -i @$(mktmp $(uniq $(foreach,i,$? $(!eq,$(i:f),$(i:f:s/.xhp//) $(i:f) $(XHPFILES))))) -x $(COMMONMISC) -y $(SHELL_PACKAGE) -l all -lf $(aux_alllangiso:t",") -m localize.sdf && $(TOUCH) $@
- .ELSE			# "$(WITH_LANG)"!=""
- .IF "$(USE_SHELL)"=="4nt"
- # it's getting real ugly...

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-05-13 07:37:58 UTC (rev 39203)
+++ extra-x86_64/PKGBUILD	2009-05-13 07:38:41 UTC (rev 39204)
@@ -2,26 +2,24 @@
 # Contributor: Hussam Al-Tayeb <ht990332 at gmail.com>
 
 pkgname=openoffice-base-devel
-pkgver=3.2_dev300_m42
+pkgver=3.2_dev300_m48
 pkgrel=1
 pkgdesc="OpenOffice.org - a free multiplatform and multilingual office suite"
 arch=('i686' 'x86_64')
-_OO_milestone=DEV300_m42
+_OO_milestone=DEV300_m48
 license=('LGPL3')
 url="http://www.openoffice.org"
 install=openoffice.install
-depends=("curl>=7.19.2" "hunspell>=1.2.8" "python>=2.6.1" 'libwpd' 'redland' 
-         'libxaw' "neon>=0.28.3-2" 'dbus-glib' "icu>=4.0-2" 'hsqldb-java' 'libxslt')
+depends=("curl>=7.19.2" "hunspell>=1.2.8" "python>=2.6.1" 'libwpd' 'redland' 'libxaw' "neon>=0.28.3-2" 'dbus-glib' "icu>=4.0-2" 'hsqldb-java' 'libxslt' 'desktop-file-utils')
 optdepends=('java-runtime:	adds java support'
             'libcups:		adds printing support'
             'gconf:		adds additional gnome support'
             'nss:		adds support for signed files/macros'
             'pstoedit:		translates PostScript and PDF graphics into other vector formats')
-makedepends=('bison' 'cvs' 'curl' 'findutils' 'flex' 'gawk' 'gcc-libs' 'libart-lgpl'
+makedepends=('bison' 'subversion' 'curl' 'findutils' 'flex' 'gawk' 'gcc-libs' 'libart-lgpl'
              'pam' 'sane' 'zip' 'perl-archive-zip' 'pkgconfig' 'unzip' "xulrunner>=1.9.0.5"
              'apache-ant' 'cairo' 'gperf' 'libcups' 'pstoedit' 'gconf' "openjdk6>=1.3.1-2") # 'boost'
 provides=('openoffice-base')
-
 source=(${pkgname}-${_OO_milestone}.tar.gz
 	template.desktop
 	default-no-startup-wizard.diff
@@ -31,7 +29,7 @@
 	shell.patch
 	system_hsqldb.diff
 	buildfix_FormulaMissingHeader.diff
-	DEV300m42-helpcontent2.diff
+	buildfix-native-setup.diff
 	openoffice.profile)
 options=('!distcc' '!ccache' '!makeflags')
 
@@ -63,8 +61,8 @@
 	# build fixes
 	patch -Np0 -i ${srcdir}/buildfix-gcc43.diff || return 1
 	patch -Np0 -i ${srcdir}/buildfix_FormulaMissingHeader.diff || return 1
-	patch -Np0 -i ${srcdir}/DEV300m42-helpcontent2.diff || return 1
-
+	patch -Np0 -i ${srcdir}/buildfix-native-setup.diff || return 1
+	
 	# allows soffice to find the user's firefox profile so that it can read
 	# his digital certificates. Nss stores digital certificates in your mozilla firefox profile. 
 	patch -Np0 -i ${srcdir}/soffice-detect-mozilla-certificates.diff || return 1
@@ -104,11 +102,11 @@
 	--disable-binfilter\
 	--disable-evolution2\
 	--disable-kde\
-	--disable-lockdown\
-	--disable-mediawiki\
-	--disable-minimizer\
+	--enable-lockdown\
+	--enable-mediawiki\
+	--enable-minimizer\
 	--disable-odk\
-	--disable-pdfimport\
+	--enable-pdfimport\
 	--disable-qadevooo\
 	--disable-reportdesign\
 	--disable-systray\
@@ -184,14 +182,14 @@
 	cd ${pkgdir}/opt/
         ## Step 1 
         cd ${pkgdir}/opt/openoffice.org || return 1
-        mv ure/ basis3.1/ || return 1
-        cd basis3.1 || return 1
+        mv ure/ basis3.2/ || return 1
+        cd basis3.2 || return 1
         rm ure-link && mv ure ure-link || return 1
         ## Step 2
         cd ${pkgdir}/opt/ || return 1
-        mv openoffice.org/basis3.1/ openoffice.org3/ || return 1
+        mv openoffice.org/basis3.2/ openoffice.org3/ || return 1
         cd openoffice.org3/ || return 1
-        rm basis-link && mv basis3.1 basis-link || return 1
+        rm basis-link && mv basis3.2 basis-link || return 1
         ## Step 3        
         cd ${pkgdir}/opt/ || return 1
         rmdir ${pkgdir}/opt/openoffice.org || return 1
@@ -267,7 +265,7 @@
 	
 	cd ${pkgdir}/usr/share/applications/
 	sed -i -e 's|Icon=|Icon=dev-|g' $startdir/pkg/usr/share/applications/*.desktop || return 1
-	sed -i -e 's|OpenOffice\.org\ 3\.0|OpenOffice\.org\ devel|g' ${pkgdir}/usr/share/applications/*.desktop || return 1
+	sed -i -e 's|OpenOffice\.org\ 3\.2|OpenOffice\.org\ devel|g' ${pkgdir}/usr/share/applications/*.desktop || return 1
 	sed -i -e 's|\/opt\/openoffice\-dev\/program\/soffice|\/usr\/bin\/soffice\-dev|g' ${pkgdir}/usr/share/applications/*.desktop || return 1
 
 	cd ${pkgdir}/opt/openoffice-dev/program/

Copied: openoffice-base-devel/repos/extra-x86_64/buildfix-native-setup.diff (from rev 39203, openoffice-base-devel/trunk/buildfix-native-setup.diff)
===================================================================
--- extra-x86_64/buildfix-native-setup.diff	                        (rev 0)
+++ extra-x86_64/buildfix-native-setup.diff	2009-05-13 07:38:41 UTC (rev 39204)
@@ -0,0 +1,12 @@
+--- solenv/bin/modules/installer/control.pm
++++ solenv/bin/modules/installer/control.pm
+@@ -714,7 +714,8 @@
+ 		
+ 	if ( $installer::globals::patch ) {	$installer::globals::addsystemintegration = 0; }
+ 	if ( $installer::globals::languagepack ) { $installer::globals::addsystemintegration = 0; }
+-
++if ( $installer::globals::packageformat eq "native" ) { 
++	$installer::globals::addsystemintegration = 0; }
+ 	my $infoline = "Value of \$installer::globals::addsystemintegration: $installer::globals::addsystemintegration\n";
+ 	push( @installer::globals::globallogfileinfo, $infoline);
+ }



More information about the arch-commits mailing list